ClientAuthorizationTestCase.TestCredentialGenerator (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.security

## Interface ClientAuthorizationTestCase.TestCredentialGenerator

- All Known Implementing Classes:
    ClientAuthorizationTestCase.TestAuthzCredentialGenerator
  Enclosing class:
    ClientAuthorizationTestCase

      protected static interface ClientAuthorizationTestCase.TestCredentialGenerator

  Simple interface to generate credentials with authorization based on key indices also. This is utilized by the post-operation authorization tests where authorization is based on key indices.
  Since:
    GemFire 5.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Properties` | `getAllowedCredentials(OperationContext.OperationCode[] opCodes, java.lang.String[] regionNames, int[] keyIndices, int num)` Get allowed credentials for the given set of operations in the given regions and indices of KEYS in the `KEYS` array
    `CredentialGenerator` | `getCredentialGenerator()` Get the `CredentialGenerator` if any.
    `java.util.Properties` | `getDisallowedCredentials(OperationContext.OperationCode[] opCodes, java.lang.String[] regionNames, int[] keyIndices, int num)` Get disallowed credentials for the given set of operations in the given regions and indices of KEYS in the `KEYS` array

- - ### Method Detail

    - #### getAllowedCredentials

          java.util.Properties getAllowedCredentials(OperationContext.OperationCode[] opCodes,
                                                     java.lang.String[] regionNames,
                                                     int[] keyIndices,
                                                     int num)

      Get allowed credentials for the given set of operations in the given regions and indices of KEYS in the `KEYS` array

    - #### getDisallowedCredentials

          java.util.Properties getDisallowedCredentials(OperationContext.OperationCode[] opCodes,
                                                        java.lang.String[] regionNames,
                                                        int[] keyIndices,
                                                        int num)

      Get disallowed credentials for the given set of operations in the given regions and indices of KEYS in the `KEYS` array

    - #### getCredentialGenerator

          CredentialGenerator getCredentialGenerator()

      Get the `CredentialGenerator` if any.